const {
  default: api
} = require("../../js/api");

Page({
  data: {
    isLoggedIn: false,
    userInfo: {},
    scanTitle: '扫码加油',
    scanTip: '请扫描加油机键盘上的二维码',
    paymentMode:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    api.request_GetSiteInfo().then(res => {
      if(res.data.statusCode != 200) return
      console.log("站点信息",res)
      wx.redirectTo({
        url: '../orderConfirm/orderConfirm?nozzle=1',
      })
      this.setData({
        isLoggedIn: true,
        userInfo: res.data.data.userInfo,
        scanTitle: '扫码加油',
        scanTip: '请扫码加油机键盘上的二维码',
        paymentMode:res.data.data.site.paymentMode
      })
    }).catch(err => {
      console.log("获取站点信息失败",err)
    })
  },

  toLoginOrOrderPage: function () {
    if (!this.data.isLoggedIn) {
      wx.redirectTo({
        url: '../login/login'
      })
    } else {
      wx.navigateTo({
        url: '../historyOrder/historyOrder',
      })
    }
  },

  // 打开扫码功能
  scanCode: function () {
    const that = this;
    wx.scanCode({
      success(res) {
        wx.redirectTo({
          url: res.result,
          fail(err){
            wx.showToast({
              title: '跳转页面失败',
              icon: 'none'
            });
          }
        })
      },
      fail(err) {
        console.error('扫码失败：', err);
        wx.showToast({
          title: '扫码失败',
          icon: 'none'
        });
      }
    });
  }
});